The number of partitions currently defined for this complex.
Sources for this description
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
OID reference
1.3.6.1.4.1.2.3.51.3.9.1.2
The number of partitions currently defined for this complex.
Identification
{1 3 6 1 4 1 2 3 51 3 9 1 2}
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.2.3.51.3.9.1.2.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
scalableComplexNumPartitions OBJECT-TYPE
SYNTAX INTEGER
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The number of partitions currently defined for this complex."
::= { scalableComplex 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The number of partitions currently defined for this complex.
IBM MIB copies (LibreNMS/Observium Community)IBM MIB copies (MibBrowser.online)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: scalableComplexNumPartitions
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"scalableComplexNumPartitions",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The number of partitions currently defined for this complex.\"",
"::=",
"{",
"scalableComplex",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER"
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The number of partitions currently defined for this complex."
],
null,
null,
null,
null
]
}Vendor MIB copy from the LibreNMS archive. IBM support.
Module: IMM-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the Observium Community archive. IBM support.
Module: IMM-MIB
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Vendor MIB copy from the MibBrowser.online archive. IBM (https://w3.ibm.com/standards ) support.
Module: IMM-MIB
Same published definition (formatting differs; exact original is in the source file)
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'RFC1155-SMI': ['enterprises', 'IpAddress', 'Gauge'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.2.3.51.3.9.1.1 | scalableComplexIdentifier | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.9.1.3 | scalableComplexNumNodes | 0 | 0 | |
| 1.3.6.1.4.1.2.3.51.3.9.1.4 | scalableComplexClear | 0 | 0 |